Creates a new task type
Request Information
URI Parameters :
None.
Body Parameters :
task_type| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary Key |
globally unique identifier | |
| name |
Name of the task type |
string |
Required Max length: 255 |
| code |
Field used for Embedded entity (store there your ERP PK) |
string |
Max length: 255 |
| description |
Description of the task status |
string |
Required Max length: 255 |
| is_default |
Auto selected when creating a new task |
boolean | |
| sequence |
Sorting field (0 first), to order them |
integer | |
| only_for_e_service |
Specify if this task type is only usable on the e-service |
boolean | |
| sales_organization_id |
FK of sales_organization. Filled if specific of one SO, empty if can be used by all |
globally unique identifier | |
| sales_organization_code |
Embedded entity "sales_organization" using ERP PK when adding/updating skill |
string | |
| sales_organization |
Embedded entity "sales_organization" when adding/updating skill |
sales_organization | |
| email_notification |
If enabled, email will be sent to the assigned user or user/group when the task is created or assigned |
boolean |
Request Formats :
application/json, text/json
{
"id": "f9a336b4-6871-43fb-a934-919099b556ea",
"name": "sample string 2",
"code": "sample string 3",
"description": "sample string 4",
"is_default": true,
"sequence": 6,
"only_for_e_service": true,
"sales_organization_id": "bcb3d355-87c0-4edf-b9cd-83ea5bd3c498",
"sales_organization_code": "sample string 9",
"email_notification": true
}
Response Information
Resource Description :
IHttpActionResult
task_type| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary Key |
globally unique identifier | |
| name |
Name of the task type |
string |
Required Max length: 255 |
| code |
Field used for Embedded entity (store there your ERP PK) |
string |
Max length: 255 |
| description |
Description of the task status |
string |
Required Max length: 255 |
| is_default |
Auto selected when creating a new task |
boolean | |
| sequence |
Sorting field (0 first), to order them |
integer | |
| only_for_e_service |
Specify if this task type is only usable on the e-service |
boolean | |
| sales_organization_id |
FK of sales_organization. Filled if specific of one SO, empty if can be used by all |
globally unique identifier | |
| sales_organization_code |
Embedded entity "sales_organization" using ERP PK when adding/updating skill |
string | |
| sales_organization |
Embedded entity "sales_organization" when adding/updating skill |
sales_organization | |
| email_notification |
If enabled, email will be sent to the assigned user or user/group when the task is created or assigned |
boolean |
Response Formats
application/json, text/json
{
"id": "de555928-369d-489c-b308-5c4645592b84",
"name": "sample string 2",
"code": "sample string 3",
"description": "sample string 4",
"is_default": true,
"sequence": 6,
"only_for_e_service": true,
"sales_organization_id": "c96eeebb-5850-4103-9ad9-564ef460a805",
"sales_organization_code": "sample string 9",
"email_notification": true
}